extends Control

@export_file var main_menu_scene: String : 
	set(value):
		if value == null:
			return
		
		main_menu_scene = value

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	self.visible = false


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta: float) -> void:
	if Input.is_action_just_pressed("pause_game"):
		self.visible = !self.visible


func _on_resume_button_pressed() -> void:
	self.visible = false


func _on_main_menu_button_pressed() -> void:
	get_tree().change_scene_to_file(main_menu_scene)
